# Interface CoverageResult

All Superinterfaces:
  `Result`

All Known Implementing Classes:
  `DefaultCoverageResult`

@UML(identifier="QE_CoverageResult", specification=ISO_19115_2) public interface CoverageResult extends Result
Result of a data quality measure organising the measured values as a coverage.

Since:
  2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CoverageDescription`
  `getResultContentDescription()`
  Provides the description of the content of the result coverage, i.e. semantic definition of the data quality measures.
  `DataFile`
  `getResultFile()`
  Provides information about the data file containing the result coverage data.
  `Format`
  `getResultFormat()`
  Provides information about the format of the result coverage data.
  `SpatialRepresentation`
  `getResultSpatialRepresentation()`
  Provides the digital representation of data quality measures composing the coverage result.
  `SpatialRepresentationType`
  `getSpatialRepresentationType()`
  Method used to spatially represent the coverage result.

- ## Method Details

  - ### getSpatialRepresentationType

    @UML(identifier="spatialRepresentationType", obligation=MANDATORY, specification=ISO_19115_2) SpatialRepresentationType getSpatialRepresentationType()
    Method used to spatially represent the coverage result.
    Returns:
      Spatial representation of the coverage result.

  - ### getResultSpatialRepresentation

    @UML(identifier="resultSpatialRepresentation", obligation=MANDATORY, specification=ISO_19115_2) SpatialRepresentation getResultSpatialRepresentation()
    Provides the digital representation of data quality measures composing the coverage result.
    Returns:
      Digital representation of data quality measures composing the coverage result.

  - ### getResultContentDescription

    @UML(identifier="resultContentDescription", obligation=MANDATORY, specification=ISO_19115_2) CoverageDescription getResultContentDescription()
    Provides the description of the content of the result coverage, i.e. semantic definition of the data quality measures.
    Returns:
      Description of the content of the result coverage.

  - ### getResultFormat

    @UML(identifier="resultFormat", obligation=MANDATORY, specification=ISO_19115_2) Format getResultFormat()
    Provides information about the format of the result coverage data.
    Returns:
      Format of the result coverage data.

  - ### getResultFile

    @UML(identifier="resultFile", obligation=MANDATORY, specification=ISO_19139) DataFile getResultFile()
    Provides information about the data file containing the result coverage data.
    Returns:
      Data file containing the result coverage data.